For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
        • POSTEstimate Fulfillment Cost For Order
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • GETGet Order Store Data
        • GETGet Completely Cancelled Orders
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get Shipment Logs by Order ID and Shipment ID

||View as Markdown|
GET
/2026-01/order/:orderId/shipment/:shipmentId/logs
GET
/2026-01/order/:orderId/shipment/:shipmentId/logs
$curl https://api.shipbob.com/2026-01/order/orderId/shipment/shipmentId/logs \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "log_type_id": 0,
4 "log_type_name": "string",
5 "log_type_text": "string",
6 "metadata": {
7 "property1": "string",
8 "property2": "string"
9 },
10 "timestamp": "2019-08-24T14:15:22Z"
11 }
12]
Retrieves operational logs for a specific shipment by shipment ID, providing a detailed record of all events and status changes that have occurred.
Was this page helpful?
Previous

Get All Shipments for Order

Next

Cancel Shipment by Order ID and Shipment ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

orderIdstringRequiredformat: "int32"
The order id to get the shipment for
shipmentIdstringRequiredformat: "int32"
The shipment id to get

Response

Success
log_type_idinteger
Log type id of the shipment
log_type_namestring or null
Name of the log type
log_type_textstring or null
Summary of log type meaning
metadatamap from strings to strings or null
Specifics data for the event
timestampdatetime
Timestamp of event

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error